date: 2006-07-06 12:33:19
ispublic: 1
source: http://farm1.static.flickr.com/64/202897100_a96bce2c60_o.jpg
tags: people, bands, Cimeries, Marko Resurreccion, XP8, highlights, showcase, Dead Channel
title: Palace Squate, St.Petersburg
url: http://www.flickr.com/photos/umonkey/202897100/
---
Photo courtesy of Paul Toohil.

&quot;Blah blah blah... (Vlad feigns interest...)&quot;